Retrieve a list of your bounties, including their objectives and rewards, from the following endpoint:
GET
/View full referenceParameters, responses, and status codes.
curl -X 'GET' \ 'https://api.nexus.gg/v1/bounties' \ -H 'accept: */*' \ -H 'Content-Type: application/json' \ -H 'X-SHARED-SECRET: nexus_sk_your_key_here'The status should be 200 OK with a JSON response body that looks something like this:
{ "groupId": "CsRKC8uD0NLtyQ0LOt8Ru", "groupName": "Test Group", "currentPage": 1, "currentPageSize": 100, "totalCount": 2, "bounties": [ { "id": "Ev-vRz88frq0RSxp51VP3", "name": "Referrer Title", "description": "Refer 5 players or sell 5 copies of Great Game in your Nexus and receive an in game \"Referrer\" title", "imageSrc": "https://cdn.nexus.gg/CsRKC8uD0NLtyQ0LOt8Ru/images/profile-image.jpg", "rewardDescription": "Referrer Title", "limit": 1, "startsAt": "2023-01-02T16:24:22.931Z", "endsAt": "2023-01-02T16:24:22.931Z", "lastProgressCheck": "2023-01-02T16:24:22.931Z", "objectives": [ { "id": "CsRKC8uD0NLtyQ0LOt8Ru", "name": "Refer a player", "type": "Referral", "condition": "OR", "count": 5 }, { "id": "CsRKC8uD0NLtyQ0LOt8Ru", "name": "Nexus Sale", "type": "NexusPurchase", "condition": "OR", "count": 5, "nexusPurchaseObjectiveType": "Sku", "skus": [ { "id": "b5ajhvFLV4icmACR9KeG1", "name": "Great Game", "slug": "great-game" } ] } ], "rewards": [ { "id": "2Qw7VPSYk1Me7o6huoXwl", "name": "Referrer Title", "type": "Sku", "sku": { "id": "DYxdHsSLsVziD1dJ_TR0w", "name": "Referrer Title", "slug": "referrer-title" }, "amount": 1 } ], "dependants": [ { "id": "XrEeF3CrtiSuz2xu8Y6O1", "name": "Reach Level 40 and Refer 5 players that reach level 20" } ] }, { "id": "XrEeF3CrtiSuz2xu8Y6O1", "name": "Play 5 hours and Refer 5 players that reach level 20", "description": "Play 5 hours and Refer 5 players that reach level 20 in Great Game and receive 200 IGC", "imageSrc": "https://cdn.nexus.gg/CsRKC8uD0NLtyQ0LOt8Ru/images/profile-image.jpg", "rewardDescription": "200 IGC", "limit": 5, "startsAt": "2023-01-02T16:24:22.931Z", "endsAt": "2023-01-02T16:24:22.931Z", "lastProgressCheck": "2023-01-02T16:24:22.931Z", "objectives": [ { "id": "DRDq6bOp10VUDUwYtniLD", "name": "Play 5 hours", "type": "Event", "condition": "AND", "count": 1, "eventType": "Creator", "eventCode": "play5Hours" }, { "id": "CsRKC8uD0NLtyQ0LOt8Ru", "name": "Refer a player that reaches level 20", "type": "Event", "condition": "AND", "count": 5, "eventType": "Referral", "eventCode": "reachLevel20" } ], "rewards": [ { "id": "2Qw7VPSYk1Me7o6huoXwl", "name": "200 In-Game currency", "type": "External", "externalId": "MFsxImaVQFd9ZgCnCCffU", "amount": 1 } ], "prerequisites": [ { "id": "Ev-vRz88frq0RSxp51VP3", "name": "Referrer Title" } ] } ]}